#content2 {
    background-color: var(--background-site);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 100vh;
    scroll-snap-align: start;
    width: 100%;
    font-family: 'Exo2';
  }


.works {
  display: flex;
  justify-content: center;
  align-items: start;
  font-size: 80px;
  color: var(--background-scrolling);
  margin: 0;
  margin-bottom: 120px;
  padding-top: 20px;
  /* transform: translateY(20px); */
}

.next,
.prev {
  opacity: 1;
  height: 80px;
  margin: 5px;
  cursor: pointer;
  /* background-image: radial-gradient(circle, #ffffff, #fa5503); */
  /* border-radius: 50%;
  box-shadow: 0 0 10px rgb(236, 6, 217); */
  overflow: hidden;
  position: relative;
  transition: transform 0.3s ease;
}

.next::before,
.prev::before {
  content: "";
  display: block;
  padding-top: 100%;
  transform: translateY(-90%);
  transition: transform 0.3s ease;
}

.next:hover,
.prev:hover {
  transform: scale(1.1);
}

.next:hover::before,
.prev:hover::before {
  transform: translateY(-80%);
}

.next:active,
.prev:active {
  transform: scale(0.9);
}

.next:active::before,
.prev:active::before {
  transform: translateY(-70%);
}

.next {
  margin-left: auto;
}

.prev {
  margin-right: auto;
}

.filler {
  flex-grow: 1;
}


.slider {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.slider_item.active {
  opacity: 0.8;
  display: block;

  @starting-style {
    opacity: 0;
  }
}


.slider_item {
  width: 100%;
  max-width: 1200px; /* Максимальная ширина контейнера */
  height: auto;
  background: var(--backgroud-slider_item);
  margin: 0 auto;
  justify-content: flex-start;
  align-items: flex-start;
  border-radius: 14px;
  display: none;
  margin-left: 10px;
  margin-right: 10px;
  transition-duration: 0.7s;
  opacity: 0;
  transition-behavior: allow-discrete;

}

/* стили для слайдов  */

.project-card {
  display: grid;
  grid-template-columns: 1fr 300px;
  grid-gap: 5px;
  align-items: flex-start;
}

.project-images {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 20px;
  margin: auto; 
  width: 80%;
}

.project-images img {
  width: 100%;
  height: auto;
  object-fit: cover;
  border: 5px solid #FFDAB9;
  border-radius: 10px;
  transition: transform 0.3s ease;
}

.project-images img:hover {
  transform: scale(1.1);
  border: none;
}

.project__technologies {
  color: #d85b07;
}

.project-details {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-right: 20px;
  color: var(--background-static);
}

.project-details h4 {
  font-size: 30px;
}

.project-details p {
  font-size: 20px;
}

.slider__button-block {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
  margin: 20px;
}

.git-hub_img {
  height: 65px;
  width: 65px;
  margin-top: 10px;
}

.demo-button {
  margin-top: 10px;
  padding: 8px 16px;
  background-color: #09f1b8;
  color: white;
  text-decoration: none;
  border-radius: 10px;
  height: 60px;
  width: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 30px;
}

.demo-button:active {
  opacity: 0.8;
}

.git-hub_img:hover {
  animation: pulse 0.5s infinite alternate;
} 

.demo-button:hover {
  background-color: #0be8c2;
  animation: pulse 0.5s infinite alternate;
}

@keyframes pulse {
  from {
    transform: scale(1);
  }
  to {
    transform: scale(1.1);
  }
}